function [var,p,error]= define_normmix(R,specopt)
% normal approximation to logistic distribution  

% input:
% R  .... number of Components

%KL distance - fit mixture of normals to logistics distribution

% 

%output: row vectors
%  mu  ... zero means
%  var ... variances
%  p   ... weights

if specopt==1
    mon_ste=true;
else
    mon_ste=false;
end

error=(1==0);
%     
if R==1
    p=1;
    var=pi^2/3;

elseif R==2
    if ~mon_ste
        load -ascii approx_logistic_kl_2.asc;
        p=approx_logistic_kl_2(1,:);
        var=approx_logistic_kl_2(2,:);
    else
        %load approx_logistic_mon_ste_2;
        %p=eta;
        %var=svar;
        p=[0.564424843456014 0.435575156543986];
        sms=[0.768621151201617 0.435255180069097];
        var=1./sms.^2;
    end
    
elseif R==3
    if ~mon_ste
        load -ascii approx_logistic_kl_3.asc;
        p=approx_logistic_kl_3(1,:);
        var=approx_logistic_kl_3(2,:);
    else
        %load approx_logistic_mon_ste_3;
        %p=eta;
        %var=svar;
        
        p=[0.252201578098282 0.585225059235736 0.162573362665982];
        sms=[0.907930837449693 0.577787276140136 0.364037729479770];
        var=1./sms.^2;
    end
    
elseif R==4
    if ~mon_ste
    load -ascii approx_logistic_kl_4.asc;
    p=approx_logistic_kl_4(1,:);
    var=approx_logistic_kl_4(2,:);
    else
        %load approx_logistic_mon_ste_4;
        %p=eta;
        %var=svar;
        p=[0.106498992656952 0.458361227014536 0.374189066914829 0.060950713413683];
        sms=[1.023135580500914 0.698774355946609 0.475127524640229 0.321064655834542];
        var=1./sms.^2;
    end
elseif R==5
    if ~mon_ste
        load -ascii approx_logistic_kl_5.asc;
        p=approx_logistic_kl_5(1,:);
        var=approx_logistic_kl_5(2,:);
    else
        %load approx_logistic_mon_ste_5;
        %p=eta;
        %var=svar;
        p=[0.0443331519   0.2949733769   0.4298124819   0.2075895057 0.0232914834];
        var=[0.7933414429    1.5473720247    3.0120143632   5.9224113829  11.7701715084];
    end
        
elseif R==6
    if ~mon_ste
    load -ascii approx_logistic_kl_6.asc;
    p=approx_logistic_kl_6(1,:);
    var=approx_logistic_kl_6(2,:);
     else
        %load approx_logistic_mon_ste_6;
        %p=eta;
        %var=svar;
        p=[0.018446105135654 0.172681380923308 0.373930796025243 0.316969955813251 0.108897300053481 0.009074462049063];
        sms=[1.211261903817665 0.897349101745990 0.668333914055091 0.495536408073851 0.366688973048750 0.269461940181722];
        var=1./sms.^2;
    end
else
    error=(1==1); 'no approximation available'
end

var=var';
p=p';
mu=zeros(size(var));