function util =mcmc_bin_diff_util_logit(predlin,chy)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sample utilities for a binary model based differenced utilities

%%%%%%%%%%%%%%%%%%%%%
% input:
%%%%%%%%%%%%%%%%%%%%%
% chy     ...   binary data labelled 0 /1
%               size: column vector
% predlin ...   predictor ( linear part of model )
%               size: size(chy) 


%%%%%%%%%%%%%%%%%%%%%
% output:
%%%%%%%%%%%%%%%%%%%%%

% util    .... utilities
%               size: size(chy) 


NT=size(chy,1);

cdf_f=1./(1+exp(predlin));  


util=zeros(NT,1);

n0=sum(chy==0);
util(chy==0)= rand(n0,1).*cdf_f(chy==0);
util(chy==1)= 1-rand(NT-n0,1).*(1-cdf_f(chy==1));

if or(any(util==0),any(util==1)) 
    'stop', 
end

util = predlin + log(util)-log(1-util);  


