function  [omega,R] = mcmc_logit_diff_indic(K,util,value)

% logistic model for the difference of utilities
% sampling the indicators for the mixture error term

% input:
%   K .. . number of components in the mixture approximation
%   specopt  ..  see subroutine define_normix
%   util .. utilities - first step of data augentation
%   value .. linear predictor - structural part of the model, T times N

% output:
%   R .. indicators for the error - second step of data augmentation

% 2. sampling the indicators

NT=size(util,1);

[svar,eta,error]= define_normmix_diff(K,1);   % Monahan Stefanski
%[svar,eta,error]= define_normmix_diff(K,0);   % Fruehwirth-Schnatter/Fruewirth - KL
% TEST - ALte Gewichte; [mu,svar,eta,error]= define_normmix(3,K,0); 

if K>1

    yhelp=(util-value)';
    %llhlarge(:,1+(i-1)*T:i*T) = -.5*(log(2*pi*svar(:,ones(1,T)))) - .5./svar(:,ones(1,T)).*(yhelp(ones(K,1),:)).^2;
    llhlarge = -.5*log(svar(:,ones(1,NT))) - .5*yhelp(ones(K,1),:).^2./svar(:,ones(1,NT));

maxl = max(llhlarge);  % 1 x (T*N)
lh = exp(llhlarge - maxl(ones(1,K),:,:));  % K x (T*N)

p = eta(:,ones(1,NT)).*lh;
ss = sum(p,1);
p = p./ss(ones(1,K),:); % 1 x (T*N)

rnd = rand(1,NT);
R = (sum(cumsum(p,1)< rnd(ones(K,1),:),1) + 1);      % sampling
% Kastner, 20.10.2010
% R = (sum((tril(ones(K))*p) < rnd(ones(K,1),:),1) + 1);  

omega=svar(R);

else
    R=ones(NT,1);
    omega=svar(R);
end