function [util,R] = mcmc_mnlogit_kl10_unrest(m,predlin,chy,sindex);

%%%%%%%%%%%%%%%%%%%%%
% input:
%%%%%%%%%%%%%%%%%%%%%
% m       ...   number of alternatives to baseline category
% chy     ...   categorical data (m+1 categories labelled 0 to m)
%               size: column vector
% predlin ...   predictor ( linear part of model )

%               size: size(chy,1),m

%%%%%%%%%%%%%%%%%%%%%
% output:
%%%%%%%%%%%%%%%%%%%%%

% util    .... utilities
%               size: size(chy,1),m
% R       ..... indicators
%               size: size(chy,1)m




util=zeros(size(chy,1), m);
R=zeros(size(chy,1), m);

T=size(chy,1);
N=size(chy,2);

lexpsum=sum(exp(predlin),2);
U = rand(T,N);
expUmax=-log(U)./lexpsum;%(1+lexpsum);


for k=sindex;%k=1:m
    %[util(:,k),R(:,k)] = mcmc_logit_mnl(K,specopt,predlin(:,k),expUmax,chy==k);
    [util(:,k),R(:,k)] = mcmc_logit_mnl_kl10(predlin(:,k),expUmax,chy==k);
end

