function beta= mnl_auxmix_beta_unrest(m,chy,Z,beta,b0,B0inv)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% input parameters

%    m ...  number of categories %%%minus 1 (baseline: category m+1)
%    chy ...  categorical data, array of size  N x 1
%    Z ... predictor matrix, size N x d

%    beta ... old draw for the regression parameter, size, array of size d x m

%    B0inv ... prior information matirx (inverse covariance) for regression parameter (same for all categories), array of size d x d
%    b0 ... prior mean for regression parameter (may be different for the different categories), array of size d x m

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% output parameter

%    beta ... new draw for the regression parameter, size, array of size d x m

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% compute predlin, linear predictor in the multinomial model,  array of size  N x m
mbase=find(all(beta,1)==0);
sindex=[1:mbase-1,mbase+1:m];
predlin=Z*beta;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% restore the utilies and the indicators
[util,R] = mcmc_mnlogit_kl10_unrest(m,predlin,chy,sindex);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% setup the augmented regression model and draw beta for each category

d=size(beta,1);
[mixmean,mixvar,mixeta]=define_normmix_kl10;
mixsd=sqrt(mixvar);
mixinf=1./mixvar;
for k=sindex;%1:m
    y= (util(:,k)-mixmean(R(:,k)))./mixsd(R(:,k));
    X= Z./repmat(mixsd(R(:,k)),1,d);
    BNinv=(X'*X+B0inv);
    BN=inv(BNinv);
    bN=BN*(X'*y+B0inv*b0(:,k));
    beta(:,k)=bN+chol(BN)'*randn(d,1);
end
