tic
test=0;
noinf=0;

data_dir='..\data\';
results_dir='..\results\';
strfile='philcur';
strres='';
cal_beg=1970;
dep='ea_dlhicp';
ser_incl={'ea_dlm3hp';'ea_dlgdprhp';'ea_dlratehp';'ea_lgdprcyccyc'};
pvar='ea_dlloans'; %(variable which influences tvp


it=150000; %number of iterations
it0=25000; %burn-in phase
rth=1;
MMC=75000; %retained moments for bayes factor
bf=0; %flag to retain the posterior moments of the model parameters (set to 1, to evaluate the Bayes factor)
perm=1; %flag for random permutation (0 constrained permutation)
perm_id=[]; %which parms to use for identification (in case perm=0) 

nst=2;  %number of states
tvar=1; %flag to estimate time-varying transition probabilities
gz=1; %flag for state-dependent effect of covariate
drum=1; %flag to use the DRUM logit sampling 

maxlags=1; % maximum number of lags to consider
lags=1; % AR-lags
const=1; %flag to include a constant
sigswitch=1; %flag for switching covariance matrix
m_adj=0;  %flag to demean data
s_adj=0;  %flag to standardize data (implemented only with m_adj=1 together)

ind_s=[1 ones(1,lags)  1 1 1 1]; %declare which coefficients are switching, variable order: constant, AR lags, exogenous variables (here: the variables in ser_incl -- see above)
ind_n=[0 zeros(1,lags)  0 0 0 0];  % declare which coefficients are not switching (1-ind_s, if all variables are included)


%read data, build up matrices

daten_read

exo=(size(ex,2)>0)*size(ex,2); %the number of exogenous variables 
nobs=size(y,1);  %full sample length
nvars=size(y,2); %number of variables

build_matrices %builds the Y-vector of dependent variables, X_fix: the regressor matrix of fixed effect (non-switching) variables, X_ms: regressor matrix with switching effect variables

specify_prior 

initialize_values

Zgam=Zgam-mean(Zgam);
[simc,etamc,gammc,parmsmc_n,parmsmc_s,sigmc,detsigmc,loglik,gampost_mean,gampost_chol,etapost,parmspost_mean,parmspost_chol,nupost,sigpost,sstmc,tvpmpost,prob,reject] = ...
    mcmc_msvar(Y,X_fix,X_ms,Zgam,parms_n,parms_s,gam,sig,eta,drum,sst,prm,prinf,nu0,sig0,e0,prmgam,prinfgam,ind_n,ind_s,lags,const,exo,sigswitch,nobs,nvars,it,it0,rth,MMC,bf,perm,perm_id,nst,tvar,gz,test);

toc
sers=char(ser_incl(1));
for j=2:size(ser_incl,1)
    if ind_s(1,end-exo+j)
    sers=cat(2,sers,char(ser_incl(j)));
    end
end
save([results_dir  strres strfile int2str(cal_beg-1900) '_prm' num2str(prmgam(1,2),'%5.2f') '_prinf' num2str(prinfgam(1,1),'%5.2f') '_nst' int2str(nst) '_cst' int2str(ind_s(1,1)) '_tvar' int2str(tvar) '_gz' int2str(gz) '_drum' int2str(drum) '_perm' int2str(perm) '_lags' int2str(lags) '_sig' int2str(sigswitch) '_' sers(:)']);
%save(['tvprobtest_1008_II']);
clear functions
%         bayesfac_bs
%     end
% end

clear all
%pack

